Skip to content
Start here

List Available Plans

client.zones.plans.list(PlanListParams { zone_id } params, RequestOptionsoptions?): SinglePage<AvailableRatePlan { id, can_subscribe, currency, 7 more } >
GET/zones/{zone_id}/available_plans

Lists available plans the zone can subscribe to.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ParametersExpand Collapse
params: PlanListParams { zone_id }
zone_id: string

Identifier

maxLength32
ReturnsExpand Collapse
AvailableRatePlan { id, can_subscribe, currency, 7 more }
id?: string

Identifier

maxLength32
can_subscribe?: boolean

Indicates whether you can subscribe to this plan.

currency?: string

The monetary unit in which pricing information is displayed.

externally_managed?: boolean

Indicates whether this plan is managed externally.

frequency?: "weekly" | "monthly" | "quarterly" | "yearly"

The frequency at which you will be billed for this plan.

One of the following:
"weekly"
"monthly"
"quarterly"
"yearly"
is_subscribed?: boolean

Indicates whether you are currently subscribed to this plan.

legacy_discount?: boolean

Indicates whether this plan has a legacy discount applied.

legacy_id?: string

The legacy identifier for this rate plan, if any.

name?: string

The plan name.

maxLength80
price?: number

The amount you will be billed for this plan.

List Available Plans

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const availableRatePlan of client.zones.plans.list({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(availableRatePlan.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "can_subscribe": true,
      "currency": "USD",
      "externally_managed": false,
      "frequency": "monthly",
      "is_subscribed": false,
      "legacy_discount": false,
      "legacy_id": "free",
      "name": "Free Plan",
      "price": 0
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "can_subscribe": true,
      "currency": "USD",
      "externally_managed": false,
      "frequency": "monthly",
      "is_subscribed": false,
      "legacy_discount": false,
      "legacy_id": "free",
      "name": "Free Plan",
      "price": 0
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}